# Class AWTException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.awt.AWTException

All Implemented Interfaces:
  `Serializable`

public class AWTException extends Exception
Signals that an Abstract Window Toolkit exception has occurred.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AWTException(String msg)`
  Constructs an instance of `AWTException` with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AWTException

    public AWTException(String msg)
    Constructs an instance of `AWTException` with the specified detail message. A detail message is an instance of `String` that describes this particular exception.
    Parameters:
      `msg` - the detail message
    Since:
      1.0